summaryrefslogtreecommitdiffstats
path: root/tests/remove-start-stop-daemon-and-policy-rc-d-in-hook
diff options
context:
space:
mode:
Diffstat (limited to 'tests/remove-start-stop-daemon-and-policy-rc-d-in-hook')
-rw-r--r--tests/remove-start-stop-daemon-and-policy-rc-d-in-hook8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/remove-start-stop-daemon-and-policy-rc-d-in-hook b/tests/remove-start-stop-daemon-and-policy-rc-d-in-hook
new file mode 100644
index 0000000..d9c4be6
--- /dev/null
+++ b/tests/remove-start-stop-daemon-and-policy-rc-d-in-hook
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+export LC_ALL=C.UTF-8
+trap "rm -f /tmp/debian-chroot.tar" EXIT INT TERM
+{{ CMD }} --mode={{ MODE }} --variant=apt \
+ --customize-hook='rm "$1/usr/sbin/policy-rc.d"; rm "$1/usr/sbin/start-stop-daemon"' \
+ {{ DIST }} /tmp/debian-chroot.tar {{ MIRROR }}
+tar -tf /tmp/debian-chroot.tar | sort | diff -u tar1.txt -